%define pkg_name        Email-Date
%define pkg_version     1.102
%define rpm_pkg_version 1.10_2
%define rpm_pkg_release 1.n0i.2

Summary:       Find and Format Date Headers
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RJ/RJBS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Date::Parse) >= 2.27
BuildRequires: perl(Email::Abstract) >= 2.10
BuildRequires: perl(Time::Local) >= 1.07
BuildRequires: perl(Time::Piece) >= 1.08
%endif

Requires: perl(Email::Abstract) >= 2.10


%description
RFC 2822 defines the "Date:" header. It declares the header a required part
of an email message. The syntax for date headers is clearly laid out. Stil,
even a perfectly planned world has storms. The truth is, many programs get
it wrong. Very wrong. Or, they don't include a "Date:" header at all. This
often forces you to look elsewhere for the date, and hoping to find
something. For this reason, the tedious process of looking for a valid date
has been encapsulated in this software. Further, the process of creating
RFC compliant date strings is also found in this software.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.10_2-1.n0i.2.1.102
- spec file (re)created using N0i::CPAN::RPMizer 1.146
- version 1.102

* Thu Aug 04 2005 Marius Feraru <altblue@n0i.net> 1.03-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
